# Uses of Enum Class
org.apache.lucene.index.TermsEnum.SeekStatus

Packages that use TermsEnum.SeekStatus
Package
Description
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

- ## Uses of TermsEnum.SeekStatus in org.apache.lucene.index

  Methods in org.apache.lucene.index that return TermsEnum.SeekStatus
  Modifier and Type
  Method
  Description
  `TermsEnum.SeekStatus`
  FilteredTermsEnum.`seekCeil(BytesRef term)`
  This enum does not support seeking!
  `TermsEnum.SeekStatus`
  FilterLeafReader.FilterTermsEnum.`seekCeil(BytesRef text)`
  `TermsEnum.SeekStatus`
  MultiTermsEnum.`seekCeil(BytesRef term)`
  `abstract TermsEnum.SeekStatus`
  TermsEnum.`seekCeil(BytesRef text)`
  Seeks to the specified term, if it exists, or to the next (ceiling) term.
  `static TermsEnum.SeekStatus`
  TermsEnum.SeekStatus.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TermsEnum.SeekStatus[]`
  TermsEnum.SeekStatus.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

- ## Uses of TermsEnum.SeekStatus in org.apache.lucene.search

  Methods in org.apache.lucene.search that return TermsEnum.SeekStatus
  Modifier and Type
  Method
  Description
  `TermsEnum.SeekStatus`
  FuzzyTermsEnum.`seekCeil(BytesRef text)`